## org.opencyc.uml.statemachine
Class SynchState

    java.lang.Object
      |
      +--org.opencyc.uml.core.Element
            |
            +--org.opencyc.uml.core.ModelElement
                  |
                  +--org.opencyc.uml.statemachine.StateVertex
                        |
                        +--org.opencyc.uml.statemachine.SynchState

public class SynchState
extends StateVertex

SynchState from the UML State_Machines package.

Author:
  Stephen L. Reed

  Copyright 2001 Cycorp, Inc., license is open source GNU LGPL.

  the license

  www.opencyc.org

  OpenCyc at SourceForge

  THIS SOFTWARE AND KNOWLEDGE BASE CONTENT ARE PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENCYC ORGANIZATION OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE AND KNOWLEDGE BASE CONTENT, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Field Summary
`protected long` `bound` the bound of this synch state

Fields inherited from class org.opencyc.uml.statemachine.StateVertex
`container, incoming, outgoing`

Fields inherited from class org.opencyc.uml.core.ModelElement
`comment, name, namespace`

Constructor Summary
`SynchState()` Constructs a new SynchState object.

Method Summary
`long` `getBound()` Gets the bound of this synch state
`void` `setBound(long bound)` Sets the bound of this synch state

Methods inherited from class org.opencyc.uml.statemachine.StateVertex
`getContainer, getIncoming, getOutgoing, setContainer, setIncoming, setOutgoing`

Methods inherited from class org.opencyc.uml.core.ModelElement
`equals, getComment, getName, getNamespace, setComment, setName, setNamespace, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### bound

    protected long bound

  the bound of this synch state

Constructor Detail

### SynchState

    public SynchState()

  Constructs a new SynchState object.

Method Detail

### getBound

    public long getBound()

  Gets the bound of this synch state
  Returns:
    the bound of this synch state

### setBound

    public void setBound(long bound)

  Sets the bound of this synch state
  Parameters:
    `bound` - the bound of this synch state